AIOCANCEL(3)

NAME
aiocancel - cancel an asynchronous operation

SYNOPSIS
#include <sys/asynch.h>

int aiocancel(resultp)
aio_result_t *resultp;

DESCRIPTION

aiocancel() cancels the asynchronous operation associated with the result buffer pointed to by resultp. It may not be possible to immediately cancel an operation which is in progress and in this case, aiocancel() will not wait to cancel it.

Upon successful completion, aiocancel() will return 0 and the requested operation will be canceled. The application will not receive the SIGIO completion signal for an asynchronous operation which is successfully canceled.

RETURN VALUES

aiocancel() returns:

0   on success.

-1  on failure and sets errno to indicate the error.

ERRORS

aiocancel() will fail if any of the following are true:

EACCES
    The parameter resultp does not correspond to an outstanding asynchronous operation.

    The operation could not be cancelled.

EFAULT
    The parameter resultp points to an address that is outside of the address space of the requesting process.

SEE ALSO
aioread(3), aiowait(3)